<div class="w3-panel w3-round-small w3-teal">
    <h3>
      <span *ngIf="index == undefined">Student Registration</span>
      <span *ngIf="index != undefined">Student Update</span> 
      <a routerLink="/list" class="w3-button w3-green custom-button">
        <i class="w3-medium fa fa-chevron-left"></i> Back
      </a>
    </h3>
  </div>
<div class="example-container">
 
    <form class="example-form" [formGroup]="productsAddForm"  (ngSubmit)="doRegister()">
       
            <mat-form-field class="example-full-width">
              <input matInput placeholder="Favorite food" value="Sushi" formControlName="name">
            </mat-form-field>
          
            <mat-form-field class="example-full-width">
              <textarea matInput placeholder="Leave a comment" formControlName="descripbe"></textarea>
            </mat-form-field>
            <mat-form-field>
                <mat-label>Select an option</mat-label>
                <mat-select disableRipple formControlName="type">
                  <mat-option value="1">Option 1</mat-option>
                  <mat-option value="2">Option 2</mat-option>
                  <mat-option value="3">Option 3</mat-option>
                </mat-select>
              </mat-form-field>
          <button mat-raised-button color="primary">submit</button>
          </form>
  </div>